Skip to main content
GET
/
documents
/
{data_source_id}
/
{document_id}
Get a document
curl --request GET \
  --url https://{subdomain}.withrealm.com/api/external/alpha/documents/{data_source_id}/{document_id} \
  --header 'Authorization: Bearer <token>'
{
  "title": "<string>",
  "content": "<string>",
  "contentType": "markdown",
  "id": "<string>",
  "url": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "meta": {},
  "readAccess": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.withrealm.com/llms.txt

Use this file to discover all available pages before exploring further.

These endpoints require a custom API data source. See Custom API for setup instructions.

Rate Limits

600 requests per minute.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

data_source_id
string
required
document_id
string
required

Query Parameters

fields
enum<string>[]

Comma-separated list of fields to return. If not provided, only document IDs are returned.

Available options:
id,
title,
content,
content_type,
url,
document_created_at,
document_updated_at,
meta

Response

Success

title
string
required
content
string
required
contentType
enum<string>
required
Available options:
markdown,
text,
html
id
string

Optional unique identifier for the document. We enforce uniqueness in our end. If not provided, a UUID will be generated automatically and returned in the response. Must be alphanumeric and can include underscores and hyphens. The order of the documents in the response is the same as the order of the documents in the request, so you can match any generated IDs.

Pattern: ^[a-zA-Z0-9_-]+$
url
string<uri>
createdAt
string<date-time>

UTC timestamp in ISO 8601 format (e.g. '2024-03-20T10:00:00Z')

updatedAt
string<date-time>

UTC timestamp in ISO 8601 format (e.g. '2024-03-20T10:00:00Z')

meta
object
readAccess
string[]

Email addresses of the users that have read access to the document. If not provided, the document can be seen by anyone in Realm.